package com.sigmaflare.binancej.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@JsonTypeName("LOT_SIZE")
public class LotSizeFilter extends SymbolFilter {
    @NonNull
    @JsonProperty("minQty")
    private String minQty;

    @NonNull
    @JsonProperty("maxQty")
    private String maxQty;

    @NonNull
    @JsonProperty("stepSize")
    private String stepSize;
}
