package com.sigmaflare.binancej.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonTypeName("MIN_NOTIONAL")
@EqualsAndHashCode(callSuper = false)
public class MinNotionalFilter extends SymbolFilter {
    @NonNull
    @JsonProperty("minNotional")
    private String minNotional;
}
