package com.sigmaflare.binancej.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonTypeName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonTypeName("PRICE_FILTER")
@EqualsAndHashCode(callSuper = false)
public class PriceFilter extends SymbolFilter {
    @NonNull
    @JsonProperty("minPrice")
    private String minPrice;

    @NonNull
    @JsonProperty("maxPrice")
    private String maxPrice;

    @NonNull
    @JsonProperty("tickSize")
    private String tickSize;
}
