package com.sigmaflare.binancej.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RateLimit {
    @NonNull
    @JsonProperty("rateLimitType")
    private RateLimitType rateLimitType;

    @NonNull
    @JsonProperty("interval")
    private RateLimitInterval rateLimitInterval;

    @JsonProperty("limit")
    private Long limit;
}
