package com.sigmaflare.binancej.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TickerPrice {
    @NonNull
    @JsonProperty("symbol")
    private String symbol;

    @NonNull
    @JsonProperty("price")
    private BigDecimal price;
}
